Skip to main content
`Ctrl`+`K`

# PetscDSGetCoordinateDimension

Returns the coordinate dimension of the `PetscDS`, meaning the dimension of the space into which the discretiaztions are embedded

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetCoordinateDimension(PetscDS prob, PetscInt *dimEmbed)

Not Collective

## Input Parameter

- prob - The `PetscDS` object

## Output Parameter

- dimEmbed - The coordinate dimension

## See Also

`PetscDS`, `PetscDSSetCoordinateDimension()`, `PetscDSGetSpatialDimension()`, `PetscDSGetNumFields()`, `PetscDSCreate()`

## Level

beginner

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages